기타

연결음 음원 업로드 주소 발급

Markdown으로 보기
POST
/v1/accounts/{accountId}/ringback-audio-uploads

음원 파일을 올릴 주소를 발급합니다. 파일마다 한 번 호출합니다. 받은 uploadUrl 로 10분 안에 uploadHeaders 를 그대로 실어 파일을 PUT 하고, uploadUri 를 POST /ringback-audios 의 uploadUri 에 넣습니다.

파일은 mp3, wav, m4a 이고 10MB 이하여야 합니다.

Authorization

BearerAuth
AuthorizationBearer <token>

API Key를 Bearer 토큰으로 전달

In: header

Path Parameters

accountId*string

계정 ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/accounts/AC1a2b3c4d/ringback-audio-uploads" \  -H "Content-Type: application/json" \  -d '{    "contentType": "audio/mpeg"  }'
{
  "uploadUrl": "https://storage.googleapis.com/bucket/ringback-audio-uploads/AC1a2b3c4d/file.mp3?X-Goog-Signature=abc",
  "uploadHeaders": {
    "Content-Type": "audio/mpeg",
    "x-goog-content-length-range": "1,10485760",
    "x-goog-if-generation-match": "0"
  },
  "uploadUri": "gs://bucket/ringback-audio-uploads/AC1a2b3c4d/0b9f6c1e-2a47-4c1d-9a55-3f1f0c2d7e10.mp3",
  "expiresAt": "2026-11-11T02:20:00.000Z"
}
{
  "error": "string",
  "code": "recipient_blocked",
  "ip": "52.79.213.41",
  "processedAt": "2026-10-21T04:10:34.303Z",
  "blockers": [
    {
      "number": "07012340002",
      "code": "number_not_carrier_issued",
      "message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
    }
  ],
  "numbers": [
    "07012345678"
  ]
}
{
  "error": "string",
  "code": "recipient_blocked",
  "ip": "52.79.213.41",
  "processedAt": "2026-10-21T04:10:34.303Z",
  "blockers": [
    {
      "number": "07012340002",
      "code": "number_not_carrier_issued",
      "message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
    }
  ],
  "numbers": [
    "07012345678"
  ]
}
{
  "error": "string",
  "code": "recipient_blocked",
  "ip": "52.79.213.41",
  "processedAt": "2026-10-21T04:10:34.303Z",
  "blockers": [
    {
      "number": "07012340002",
      "code": "number_not_carrier_issued",
      "message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
    }
  ],
  "numbers": [
    "07012345678"
  ]
}
{
  "error": "string",
  "code": "recipient_blocked",
  "ip": "52.79.213.41",
  "processedAt": "2026-10-21T04:10:34.303Z",
  "blockers": [
    {
      "number": "07012340002",
      "code": "number_not_carrier_issued",
      "message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
    }
  ],
  "numbers": [
    "07012345678"
  ]
}